Bug 214769 - keyboard applet does not switch group if USA English is not on top of the keyboards list
keyboard applet does not switch group if USA English is not on top of the key...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-09 07:49 EST by Filip Miletic
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 14:41:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Miletic 2006-11-09 07:49:54 EST
Description of problem:
I use three keyboards on daily basis and use the keyboard applet (formerly:
gswitchit) to switch between these. The keyboards are: USA English, Serbian, and
Serbian Latin. I configured the left win-key to act as group switch.

The Keyboard Preferences dialog offers a tab where the priority and the order of
the keyboards can be set. 

If I put the order to be Serbian, USA English, Serbian Latin, the group switch
does not work. If I put USA English on top of the list, the group switch key works. 

Version-Release number of selected component (if applicable):
gnome-applets-2.16.0.1-10.fc6
libxklavier-3.0-2.fc6

How reproducible:
Always

Steps to Reproduce:
1. Set three keyboard layouts: USA English, Serbian, Serbian Latin
2. Set left-win key to be a group switch (I doubt the key choice is relevant here)
3. Verify that group switching works if USA English is the top and default
keyboard layout.
4. Put Serbian as top and default. 
5. Verify that now group switch does not work.

  
Actual results:
Group switch does not work.

Expected results:
Group switch should work regardless of the ordering of the keyboards.

Additional info:
Comment 1 Ray Strode [halfline] 2008-03-18 14:41:59 EDT
Hi,

We no longer support Fedora Core 6 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)

Note You need to log in before you can comment on or make changes to this bug.